Bug 103056 - rpm -Uhv hangs on certain sequence of rpm's
rpm -Uhv hangs on certain sequence of rpm's
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 23:05 EDT by Francis Hitchens
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 15:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francis Hitchens 2003-08-25 23:05:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
If you install

rpm -Uhv openhbci-0.9.13-1.RH8.i386.rpm gnucash-ofx-1.8.5-1.RH8.0.i386.rpm
gnucash-hbci-1.8.5-1.RH8.0.i386.rpm gnucash-devel-1.8.5-1.RH8.0.i386.rpm
gnucash-1.8.5-1.RH8.0.i386.rpm
preparing...                ########################################### [100%]
   1:gnucash                ########################################### [ 20%]
Killed

rpm hangs and you need to scrub the __db* files and rebuild the rpm database.

This sequence is ok 

rpm -Uhv gnucash-1.8.5-1.RH8.0.i386.rpm gnucash-devel-1.8.5-1.RH8.0.i386.rpm
gnucash-hbci-1.8.5-1.RH8.0.i386.rpm openhbci-0.9.13-1.RH8.i386.rpm
gnucash-ofx-1.8.5-1.RH8.0.i386.rpm
Preparing...                ########################################### [100%]
   1:gnucash                ########################################### [ 20%]
   2:openhbci               ########################################### [ 40%]
   3:gnucash-devel          ########################################### [ 60%]
   4:gnucash-hbci           ########################################### [ 80%]
   5:gnucash-ofx            ########################################### [100%]

Version-Release number of selected component (if applicable):
RPM version 4.1

How reproducible:
Always

Steps to Reproduce:
1.See description
2.
3.
    

Additional info:
Comment 1 Jeff Johnson 2003-08-26 15:54:17 EDT
This looks like stale lock from rpm-4.1-1.06.

Upgrade to rpm-4.1.1 packages from
    ftp://ftp.rpm.org/pub/rpm/dist/rpm-4.1.x

Note You need to log in before you can comment on or make changes to this bug.